Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.opengis.wms
Class Capabilities.Layer.Style

    java.lang.Object
      com.maryanovsky.map.client.opengis.wms.Capabilities.Layer.Style

Enclosing class:
  Capabilities.Layer

    public static final class Capabilities.Layer.Style

extends Object

Encapsulates a Style for a layer.

Method Summary
`String` | `getAbstract()` Returns a short description of the style.
`List<Capabilities.ImageUrl>` | `getLegendUrls()` Returns a list of URLs of legend images.
`String` | `getName()` Returns the name of the style.
`Capabilities.UrlWithFormat` | `getStyleSheetUrl()` Returns the style sheet URL; may be `null`.
`Capabilities.UrlWithFormat` | `getStyleUrl()` Returns the style URL; may be `null`.
`String` | `getTitle()` Returns the title of the style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Returns the name of the style. . This is meant for inter-computer communication, not for humans.

### getTitle

    public String getTitle()

  Returns the title of the style. This is meant to be displayed to humans.

### getAbstract

    public String getAbstract()

  Returns a short description of the style. May be `null`.

### getLegendUrls

    public List<Capabilities.ImageUrl> getLegendUrls()

  Returns a list of URLs of legend images. The returned list is unmodifiable.

### getStyleSheetUrl

    public Capabilities.UrlWithFormat getStyleSheetUrl()

  Returns the style sheet URL; may be `null`.

### getStyleUrl

    public Capabilities.UrlWithFormat getStyleUrl()

  Returns the style URL; may be `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD